<?php
/**
 *
 * @author     Xiroweb <support@xiroweb.com>
 * @copyright  Copyright (c)2021 Xiroweb All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://www.xiroweb.com
 */

defined('_JEXEC') or die;

?>
<div class="xiro_features_block py-3">
    <div class="header py-3">
        <div class="block_title text-center pb-3">
            <span class="h3">
                <?php echo $block_title; ?>
            </span>
        </div>
        <div class="block_description text-center lead fw-lighter">
            <?php echo $block_description; ?>
        </div>
    </div>

    <div class="items row row-cols-<?php echo $col_xs; ?> row-cols-sm-<?php echo $col_sm; ?> row-cols-md-<?php echo $col_md; ?> align-items-stretch">
        <?php foreach ($items as $key => $item) { ?>
            <div class="item mb-3">
                <div class="card h-100 ">
                    <?php if (!empty($item->image)) : ?>
                        <?php if (empty($item->link)) : ?>
                            <img src="<?php echo $item->image; ?>" >
                        <?php else : ?>
                            <a class="link_img" href="<?php echo htmlspecialchars($item->link, ENT_QUOTES, 'UTF-8'); ?>">
                                <img src="<?php echo $item->image; ?>" >
                            </a>
                        <?php endif; // end if (empty($item->link)) ?>
                    <?php endif; // end if (!empty($item->image)) ?>
                    <div class="card-body">
                        <?php if (!empty($item->title)) : ?>
                            <div class="title fs-5 fw-bold">
                                <?php if (empty($item->link)) : ?>
                                    <?php echo htmlspecialchars($item->title, ENT_QUOTES, 'UTF-8');  ?>
                                <?php else : ?>
                                    <a class="link_title" href="<?php echo htmlspecialchars($item->link, ENT_QUOTES, 'UTF-8'); ?>">
                                        <?php echo htmlspecialchars($item->title, ENT_QUOTES, 'UTF-8'); ?>
                                    </a>
                                <?php endif; // end if (empty($item->link)) ?>    
                            </div>
                        <?php endif; // if (!empty($item->title))  ?>
                        <?php if (!empty($item->description)) : ?>
                            <div class="desc"><?php echo htmlspecialchars($item->description, ENT_QUOTES, 'UTF-8'); ?></div>
                        <?php endif; // end if (!empty($item->description))  ?>
                    </div>
                </div>
            </div>
        <?php } ?>
    </div>
</div>